%define fgrun_ver	1.0.0

Name: FlightGear
Version: 1.0.0
Release: alt1.1

Summary: FlightGear - best opensource fly simulation engine
License: GPL
Group: Games/Arcade

Url: http://www.flightgear.org

Source: %name-%version.tar.gz
Source1: fgrun-%fgrun_ver.tar.bz2
Source2: %name.menu
Source3: FlightGear-22x22.xpm
Source4: FlightGear-32x32.xpm
Source5: FlightGear-48x48.xpm
Source6: alt-fgrun-fgfs-location-fix.patch
Source7: alt-fgrun-expat-link-fix.patch

Patch1: FlightGear-1.0.0-alt-expat-fix.patch

Packager: Albert R. Valiev <darkstar@altlinux.ru>

Requires: fgfs-data

# Automatically added by buildreq on Tue Jan 08 2008
BuildRequires: esound fontconfig gcc-c++ imake libexpat-devel libfltk-devel libglut-devel libmesa-devel libopenal-devel 
BuildRequires: libSDL-devel libXft-devel plib-devel SimGear-devel >= 1.0.0-alt1 xorg-cf-files automake autoconf

%description
FlightGear is a free, open-source, multi-platform, and sophisticated flight
simulator framework for the development and pursuit of interesting
flight simulator ideas.
This package contains main engine

%prep
%setup -q -n %name-%version
%patch1 -p1

%build
%configure --enable-sdl --with-x

%make

tar xfj %SOURCE1

pushd fgrun-%fgrun_ver
patch -p1 < %SOURCE6
patch -p1 < %SOURCE7
./autogen.sh
%configure
%make_build
popd

%install
%make DESTDIR=%buildroot install

pushd fgrun-%fgrun_ver
%make DESTDIR=%buildroot install
popd

mkdir -p %buildroot%_menudir
mkdir -p %buildroot%_liconsdir
mkdir -p %buildroot%_miconsdir
mkdir -p %buildroot%_datadir/%name

install -p -m644 %SOURCE2 %buildroot%_menudir/%name
install -p -m644 %SOURCE3 %buildroot%_miconsdir/%name.xpm
install -p -m644 %SOURCE4 %buildroot%_iconsdir/%name.xpm
install -p -m644 %SOURCE5 %buildroot%_liconsdir/%name.xpm

%post
%update_menus

%postun
%clean_menus

%files
%_bindir/al-info
%_bindir/est-epsilon
%_bindir/fgfs
%_bindir/fgjs
%_bindir/fgrun
%_bindir/gl-info
%_bindir/js_demo
%_bindir/metar
%_bindir/terrasync
%_bindir/yasim

%_man1dir/est-epsilon.1.gz
%_man1dir/fgfs.1.gz
%_man1dir/fgjs.1.gz
%_man1dir/gl-info.1.gz
%_man1dir/js_demo.1.gz
%_man1dir/pstest.1.gz

%_iconsdir/%name.xpm
%_liconsdir/%name.xpm
%_miconsdir/%name.xpm
%_menudir/%name

%changelog
* Wed Jan 09 2008 Albert R. Valiev <darkstar@altlinux.ru> 1.0.0-alt1.1
- Fixed buildrequies (autoconf/automake dependecies)

* Tue Jan 08 2008 Albert R. Valiev <darkstar@altlinux.ru> 1.0.0-alt1
- 1.0.0
- Now uses system libexpat (#8251)

* Tue May 01 2007 Albert R. Valiev <darkstar@altlinux.ru> 0.9.10-alt1.1
- Rebuild with libalut
- Update fgrun to 0.4.8

* Sat Aug 05 2006 Michael Shigorin <mike@altlinux.org> 0.9.10-alt1
- 0.9.10

* Thu Mar 02 2006 Albert R. Valiev <darkstar@altlinux.ru> 0.9.9-alt1.1
- Updated build requirements.

* Sat Dec 03 2005 Albert R. Valiev <darkstar@altlinux.ru> 0.9.9-alt1
- New version

* Tue Mar 01 2005 Albert R. Valiev <darkstar@altlinux.ru> 0.9.8-alt2
- Parallel build turned of (cause it fails to build with it...)

* Fri Jan 21 2005 Albert R. Valiev <darkstar@altlinux.ru> 0.9.8-alt1
- Update to 0.9.8 version
- Changed FlightGear Launcher from fgkicker to fgrun.
- Rebuild with g++3.4 compiler

* Tue Sep 14 2004 Albert R. Valiev <darkstar@altlinux.ru> 0.9.6-alt2.pre1
- Fixed airports.dat file installation
- Moved airports.dat from FlightGear-data package into main package

* Tue Sep 14 2004 Albert R. Valiev <darkstar@altlinux.ru> 0.9.6-alt1.pre1
- New version build
- Added FlightGear launcher
- Removed old menu entries

* Sat Jun 14 2003 Albert R. Valiev <darkstar@altlinux.ru> 0.9.2-alt1
- Initial build to sisyphus
- Created menu entries for majority of flyable aircrafts
